Skip to main content
GET
Get Offer by ID

Authorizations

x-client-id
string
header
required

Client app ID. You can find your app id in the Merchant Dashboard.

x-client-secret
string
header
required

Client secret key. You can find your secret key in the Merchant Dashboard.

Headers

x-api-version
string
default:2026-01-01
required

API version to be used.

x-request-id
string

Request ID for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to Cashfree.

x-idempotency-key
string<UUID>

An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.

Path Parameters

offer_id
string
required

The offer ID for which you want to view the offer details.

Response

OK

Offer entity object.

offer_id
string
Example:

"d2b430fb-1afe-455a-af31-66d00377b29a"

offer_status
string
Example:

"active"

order_amount
number<float64>
payable_amount
number<float64>
offer_meta
OfferMetaResponse Ā· object

Offer meta response details object.

Example:
offer_tnc
OfferTncResponse Ā· object

Offer terms and condition object.

Example:
offer_details
OfferDetailsResponse Ā· object

Offer details response and type.

Example:
offer_validations
OfferValidationsResponse Ā· object

Offer validation object.

Example:
redemption_amount
number<float64>
platform
string
Example:

"cashfree"